Bug 202910 - Review Request: perl-POE-Component-Server-SimpleHTTP - Serve HTTP requests in POE
Summary: Review Request: perl-POE-Component-Server-SimpleHTTP - Serve HTTP requests in...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/POE-Compo...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 202913
TreeView+ depends on / blocked
 
Reported: 2006-08-17 00:16 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 17:14:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Weyl 2006-08-17 00:16:26 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-SimpleHTTP-1.11-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-SimpleHTTP.spec

Description:
This module makes serving up HTTP requests a breeze in POE.

Comment 1 Jason Tibbitts 2006-08-18 15:51:52 UTC
This package looks fine, but I'm unsure about the long comment list of Requires:
bits.  It looks like those are all either found automatically by RPM or pulled
in by the perl-POE dep so everything should be OK.

* source files match upstream:
   dec01e04284b5acda6d706018b1f499c  POE-Component-Server-SimpleHTTP-1.11.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Server::SimpleHTTP) = 1.11
   perl(POE::Component::Server::SimpleHTTP::Connection) = 1.05
   perl(POE::Component::Server::SimpleHTTP::PreFork) = 0.01
   perl(POE::Component::Server::SimpleHTTP::Response) = 1.03
   perl-POE-Component-Server-SimpleHTTP = 1.11-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(HTTP::Date)
   perl(IPC::Shareable)
   perl(POE)
   perl(POE::Component::SSLify)
   perl(POE::Component::Server::SimpleHTTP::Connection)
   perl(POE::Component::Server::SimpleHTTP::Response)
   perl(POE::Driver::SysRW)
   perl(POE::Filter::HTTPD)
   perl(POE::Wheel::ReadWrite)
   perl(POE::Wheel::SocketFactory)
   perl(Socket)
   perl(base)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=4,  1 wallclock secs ( 0.12 cusr +  0.05 csys =  0.17 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.

APPROVED

Comment 2 Chris Weyl 2006-08-18 17:14:01 UTC
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching  (FC-5)
+Close bug

Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.